Skip to content
Permalink
Browse files

README: drop python3.4 support

Python3.4 is no longer maintained (PEP 429 says March 2019 was the EOL date),
and the current version of pip (19.1) is the last to support it, so it's time
to let go.

* remove py34 from .travis.yml so PRs don't fail spuriously (there's some
  problem with txtorcon and twisted that only happens on py3.4)
  • Loading branch information...
warner committed Jul 5, 2019
1 parent f2d5084 commit 8cfdc4c9bc5d9c9e2d1f034d68374b3cc0d20e37
Showing with 1 addition and 4 deletions.
  1. +0 −2 .travis.yml
  2. +1 −2 README.md
@@ -17,8 +17,6 @@ matrix:
include:
- python: 2.7
script: tox -e py27-nodilate
- python: 3.4
script: tox -e py34-nodilate
- python: 3.5
script: tox -e py35-coverage
- python: 3.6
@@ -28,5 +28,4 @@ or the docs/ subdirectory.

This library is released under the MIT license, see LICENSE for details.

This library is compatible with python2.7, 3.4 (non-Windows-only), 3.5,
3.6, and 3.7.
This library is compatible with python2.7, 3.5, 3.6, and 3.7.

0 comments on commit 8cfdc4c

Please sign in to comment.
You can’t perform that action at this time.